#### PyKDE - Python Bindings for KDE

# class NETRootInfo4 |
Table of contents
Modules
kdecore Classes
All Classes

Module | kdecore
Class | NETRootInfo4
Inherits | NETRootInfo3

### methods

- NETRootInfo4 (window, rootWindow, properties, role, a3 = Client)

  returns a NETRootInfo4 instance
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  window | Window |
  rootWindow | Window |
  properties | ulong |
  role | int |
  a3 | Role | Client

- NETRootInfo4 (display, properties_size, screen = -1, doActivate = 1)

  Not Implemented

- changeShowingDesktop (showing)

  returns nothing
  In versions KDE 3.5.0 and above only
  Argument | Type | Default
  --- | --- | ---
  showing | bool |